Errors when building



  • Hello,

    I'm trying to build the web engine module (Qt 5.7.1, Windows 7, MSVC2013) but I'm getting these errors:

    cd qtquickcontrols\ && ( if not exist Makefile D:\Programming\Libraries\Qt\build_dev_tmp\qtbase\bin\qmake D:\Programming\Libraries\Qt\qtquickcontrols\qtquickcontrols.pro -o Makefile ) && "C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\BIN\nmake.exe" -f Makefile
    Info: creating cache file D:\Programming\Libraries\Qt\build_dev_tmp\qtquickcontrols\.qmake.cache
    
    ...
    
    "Some of the required modules (qtHaveModule(quick)) are not available."
    "Skipped."
    "Some of the required modules (qtHaveModule(quick)) are not available."
    "Skipped."
    
    ...
    
    cd qtwebengine\ && ( if not exist Makefile D:\Programming\Libraries\Qt\build_dev_tmp\qtbase\bin\qmake D:\Programming\Libraries\Qt\qtwebengine\qtwebengine.pro -o Makefile ) && "C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\BIN\nmake.exe" -f Makefile
    Info: creating cache file D:\Programming\Libraries\Qt\build_dev_tmp\qtwebengine\.qmake.cache
    Running configure tests
    Checking for khr... no
    Checking for libvpx... no
    Checking for snappy... no
    Checking for srtp... no
    Proprietary codecs (H264, MP3).... Not enabled         (Default, enable with WEB
    ENGINE_CONFIG+=use_proprietary_codecs)
    Geolocation....................... Not enabled         (Requires Qt Positioning
    module)
    
    ...
    
    ( if not exist Makefile.core_gyp_generator D:\Programming\Libraries\Qt\build_dev_tmp\qtbase\bin\qmake D:\Programming\Libraries\Qt\qtwebengine\src\core\core_gyp_generator.pro -o Makefile.core_gyp_generator ) && "C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\BIN\nmake.exe" -f Makefile.core_gyp_generator
    Der Befehl "git" ist entweder falsch geschrieben oder konnte nicht gefunden werden.
    Project ERROR: Unknown module(s) in QT: quick
    NMAKE : fatal error U1077: '(' : return code '0x3'
    Stop.
    NMAKE : fatal error U1077: 'cd' : return code '0x2'
    Stop.
    

    I think I didn't skip any necessary modules. This is the configuration:

    ..\configure -prefix D:\Programming\Libraries\Qt\build_dev [...OPENSSL_LIBS...]
    -opensource -confirm-license -shared -debug -platform win32-msvc2013 -mp -nomake examples -nomake tests -no-compile-examples
    -openssl-linked -qt-libpng -qt-libjpeg
    -no-sql-sqlite -no-opengl -no-iconv -no-evdev -no-mtdev -no-inotify -no-eventfd -no-angle -no-incredibuild-xge -no-libproxy -no-dbus -no-wmf-backend -no-qml-debug -no-native-gestures -no-nis -no-cups
    -skip qt3d -skip qtactiveqt -skip qtandroidextras -skip qtcanvas3d -skip qtconnectivity -skip qtdatavis3d -skip qtdoc -skip qtgamepad -skip qtgraphicaleffects -skip qtimageformats -skip qtlocation -skip qtmacextras -skip qtpurchasing -skip qtscript -skip qtscxml -skip qtsensors -skip qtserialbus -skip qtserialport -skip qttranslations -skip qtvirtualkeyboard -skip qtwayland -skip qtwebview -skip qtx11extras -skip qtxmlpatterns
    

    So these modules are not skipped: qtbase qtcharts qtdeclarative qtmultimedia qtquickcontrols qtquickcontrols2 qtsvg qttools qtwebchannel qtwebengine qtwebsockets qtwinextras

    Any ideas? Do I really need git to build it?

    Thank you.



  • Woohoo, I did it.
    I had to remove -no-opengl.

    Sorry for being a bit hasty creating this thread.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.